import { Invite, Tenant } from "../types";
type SelfViewData = {
    tenants: Array<Tenant>;
    invites: Array<Invite>;
    userName: string;
};
type State = {
    isLoading: boolean;
    error?: Error;
    data: SelfViewData;
};
export declare function createTenantsViewSelfUrl(): string;
export default function useTenants(): State;
export {};
